import { BaseRequestOptions, BaseService, PaginatedRequestOptions, Sudo } from '../infrastructure';
import { ProjectSchema } from './Projects';
export interface GroupSchema {
    id: number;
    name: string;
    path: string;
    full_name: string;
    full_path: string;
    parent_id: number;
    visibility: string;
    avatar_url: string;
    web_url: string;
}
export interface GroupDetailSchema extends GroupSchema {
    projects: ProjectSchema[];
}
export declare class Groups extends BaseService {
    all(options?: PaginatedRequestOptions): Promise<GroupSchema[]>;
    create(options?: BaseRequestOptions): Promise<object>;
    createLDAPLink(groupId: string | number, cn: any, groupAccess: any, provider: string, options?: Sudo): Promise<object>;
    edit(groupId: string | number, options?: BaseRequestOptions): Promise<object>;
    projects(groupId: string | number, options?: BaseRequestOptions): Promise<ProjectSchema[]>;
    remove(groupId: string | number, options?: Sudo): Promise<object>;
    removeLDAPLink(groupId: string | number, cn: any, { provider, ...options }?: Sudo & {
        provider?: string;
    }): Promise<object>;
    search(nameOrPath: string, options?: Sudo): Promise<import("../infrastructure").GetResponse>;
    show(groupId: string | number, options?: BaseRequestOptions): Promise<GroupDetailSchema>;
    subgroups(groupId: string | number, options?: PaginatedRequestOptions): Promise<import("../infrastructure").GetResponse>;
    syncLDAP(groupId: string | number, options?: Sudo): Promise<object>;
}
